Package uk.ac.starlink.util

# Interface Destination

public interface Destination
Defines an object which can return an output stream, and hence represents the potential destination of a stream of data. It is used in preference to an OutputStream so that you can avoid opening output files before you know you need them, so you don't get new empty files (possibly overwriting old ones) when a command fails.

Since:
  29 Nov 2006
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Destination`
`SYSTEM_OUT`
Destination which directs output to `System.out`.

## Method Summary

Modifier and Type
Method
Description
`OutputStream`
`createStream()`
Returns an output stream which will write to this destination.

## Field Details

### SYSTEM_OUT

static final Destination SYSTEM_OUT
Destination which directs output to `System.out`.

## Method Details

### createStream

OutputStream createStream() throws IOException
Returns an output stream which will write to this destination. This method is only intended to be called once for a given instance.

Returns:
  output stream
Throws:
  `IOException`